package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.AccountTradeRecord;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.AccountTradeRecordRequest;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

@Component
public interface AccountTradeRecordMapper extends BaseMapper<AccountTradeRecord> {

    void createTable(@Param("tab")String date);

    int addRecord(AccountTradeRecord accountTradeRecord);
    int addRecord1(AccountTradeRecord accountTradeRecord);

    List<AccountTradeRecord> selectList(AccountTradeRecordRequest accountTradeRecordRequest);
    List<AccountTradeRecord> selectById(AccountTradeRecordRequest accountTradeRecordRequest);
    List<AccountTradeRecord> selectLists(AccountTradeRecordRequest accountTradeRecordRequest);

    List<AccountTradeRecord> selectListNew(AccountTradeRecordRequest accountTradeRecordRequest);
    List<AccountTradeRecord> selectListsNew(AccountTradeRecordRequest accountTradeRecordRequest);

    int insertBatch(Map<String, Object> map);
    List<AccountTradeRecord> retransmission(@Param("id")Long id, @Param("tab")String time);

    List<AccountTradeRecord> selectListByMonthly(AccountTradeRecordRequest accountTradeRecordRequest);
}